Subject: Re: bug#73355: 29.4; eglot-rename reports success when it shouldn't

From: João Távora <[email-masked]>
Date: Sat, 21 Sep 2024 21:15:42 +0100

On Sat, Sep 21, 2024, 13:13 Joost Kremers <[email-masked]> wrote:.

>
> > It's possible Eglot is just successfully applying 0 edits.
>
> I guess that's one way of looking at it. :-)
>

I'm say this because Eglot has no logic to check if a rename is valid or
not. It just does what the server tells it to. If the intended rename is
invalid, the server can error out (and Eglot will tell you this) out return
0 edits. Either way, the server calls all the shots.

João